// Code generated by MockGen. DO NOT EDIT.
// Source: /home/lucifer/go/src/gitlab.com/aher.shiva/estern/api/service/message_publish_service.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	reflect "reflect"
)

// MockMessagePublishService is a mock of MessagePublishService interface
type MockMessagePublishService struct {
	ctrl     *gomock.Controller
	recorder *MockMessagePublishServiceMockRecorder
}

// MockMessagePublishServiceMockRecorder is the mock recorder for MockMessagePublishService
type MockMessagePublishServiceMockRecorder struct {
	mock *MockMessagePublishService
}

// NewMockMessagePublishService creates a new mock instance
func NewMockMessagePublishService(ctrl *gomock.Controller) *MockMessagePublishService {
	mock := &MockMessagePublishService{ctrl: ctrl}
	mock.recorder = &MockMessagePublishServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockMessagePublishService) EXPECT() *MockMessagePublishServiceMockRecorder {
	return m.recorder
}

// PublishMessage mocks base method
func (m *MockMessagePublishService) PublishMessage(ctxt context.Context, message []byte) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "PublishMessage", ctxt, message)
	ret0, _ := ret[0].(error)
	return ret0
}

// PublishMessage indicates an expected call of PublishMessage
func (mr *MockMessagePublishServiceMockRecorder) PublishMessage(ctxt, message interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "PublishMessage", reflect.TypeOf((*MockMessagePublishService)(nil).PublishMessage), ctxt, message)
}
